#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	24.08.3
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		kalzium
Summary:	Kalzium
Name:		ka6-%{kaname}
Version:	24.08.3
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	77cbf24131124aaf75f4f8cc41a54171
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6Gui-devel
BuildRequires:	Qt6OpenGL-devel
BuildRequires:	Qt6Svg-devel
BuildRequires:	Qt6Widgets-devel
BuildRequires:	cmake >= 3.20
BuildRequires:	gettext-devel
BuildRequires:	kf6-extra-cmake-modules >= %{kframever}
BuildRequires:	kf6-karchive-devel >= %{kframever}
BuildRequires:	kf6-kconfig-devel >= %{kframever}
BuildRequires:	kf6-kcoreaddons-devel >= %{kframever}
BuildRequires:	kf6-kdoctools-devel >= %{kframever}
BuildRequires:	kf6-ki18n-devel >= %{kframever}
BuildRequires:	kf6-kparts-devel >= %{kframever}
BuildRequires:	kf6-kplotting-devel >= %{kframever}
BuildRequires:	kf6-kunitconversion-devel >= %{kframever}
BuildRequires:	kf6-kwidgetsaddons-devel >= %{kframever}
BuildRequires:	kf6-solid-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	ocaml-facile
BuildRequires:	openbabel-devel
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	%{name}-data = %{version}-%{release}
Obsoletes:	ka5-%{kaname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kalzium is your digital replacement for the periodic table on paper.
It is a program that visualizes the Periodic Table of Elements (PSE)
and includes basic information about all common elements in the PSE.
It has a gained much more functions over time.

Features

- versatile overview of all important data from the elements like
  melting points, electron affinity, electronegativity, electron
  configuration, radii, mass, ionisation energy
- tool to visualize the spectral lines of each element
- different colored views of the PSE: separation of the different
  blocks, Year simulator, Temperature simulator
- Molecular weight calculator
- an Isotope table
- 3D molecule editor, with a load and save functionality
- an equation solver for stoichiometric problems
- filetype conversion for different types of chemical programs
- tool to produce a comprehensive list of all
  Risk_and_Safety_Statements

%description -l pl.UTF-8
Kalzium jest Twoim cyfrowym zastępnikiem dla okresowej tablicy
pierwiastków na papierze. Wyświetla Okresowy Układ Pierwiastków (OUP)
podając podstawowe informacje o pierwiastkach. Z czasem otrzymuje
coraz więcej funkcji.

Właściwości

- wszechstronny opis wszystkich ważnych informacji o pierwiastkach,
  jak temperatura topnienia, powinowactwo elektronowe, elektroujemność,
  konfiguracja elektronowa, promieniotwórczość, masa atomowa, promień
  atomowy, energia jonizacyjna
- narzędzie do wizualizacji linii widmowych
- kolorowe rozróżnienia OUP: oddzielne dla różnych grup, symulator
  roku, symulator temperatury
- kalkulator masy cząsteczek
- tabela izotopów
- edytor cząsteczek 3D, z opcją wczytywania i zapisywania
- rozwiązywanie równań chemicznych
- konwerter plików do różnych formatów używanych przez programy
  chemiczne
- narzędzie do pokazywania wszechstronnej listy komunikatów zagrożeń i
  bezpieczeństwa

%package data
Summary:	Data files for %{kaname}
Summary(pl.UTF-8):	Dane dla %{kaname}
Group:		X11/Applications
Obsoletes:	ka5-%{kaname}-data < %{version}
BuildArch:	noarch

%description data
Data files for %{kaname}.

%description data -l pl.UTF-8
Dane dla %{kaname}.

%package devel
Summary:	Header files for %{kaname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kaname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	ka5-%{kaname}-devel < %{version}

%description devel
Header files for %{kaname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kaname}.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DQT_MAJOR_VERSION=6
%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kalzium
%ghost %{_libdir}/libscience.so.5
%attr(755,root,root) %{_libdir}/libscience.so.*.*

%files data -f %{kaname}.lang
%defattr(644,root,root,755)
%{_desktopdir}/org.kde.kalzium.desktop
%{_desktopdir}/org.kde.kalzium_cml.desktop
%{_datadir}/config.kcfg/kalzium.kcfg
%{_iconsdir}/hicolor/128x128/apps/kalzium.png
%{_iconsdir}/hicolor/16x16/apps/kalzium.png
%{_iconsdir}/hicolor/22x22/apps/kalzium.png
%{_iconsdir}/hicolor/32x32/apps/kalzium.png
%{_iconsdir}/hicolor/48x48/apps/kalzium.png
%{_iconsdir}/hicolor/64x64/apps/kalzium.png
%{_iconsdir}/hicolor/scalable/apps/kalzium.svgz
%{_datadir}/kalzium
%dir %{_datadir}/libkdeedu
%dir %{_datadir}/libkdeedu/data
%{_datadir}/libkdeedu/data/elements.xml
%{_datadir}/libkdeedu/data/isotopes.xml
%{_datadir}/libkdeedu/data/spectra.xml
%{_datadir}/libkdeedu/data/symbols.csv
%{_datadir}/libkdeedu/data/symbols2.csv
%{_mandir}/man1/kalzium.1*
%{_datadir}/metainfo/org.kde.kalzium.appdata.xml
%{_datadir}/qlogging-categories6/kalzium.categories

%files devel
%defattr(644,root,root,755)
%dir %{_includedir}/libkdeedu
%{_includedir}/libkdeedu/chemicaldataobject.h
%{_includedir}/libkdeedu/element.h
%{_includedir}/libkdeedu/elementparser.h
%{_includedir}/libkdeedu/isotope.h
%{_includedir}/libkdeedu/isotopeparser.h
%{_includedir}/libkdeedu/moleculeparser.h
%{_includedir}/libkdeedu/parser.h
%{_includedir}/libkdeedu/psetables.h
%{_includedir}/libkdeedu/science_export.h
%{_includedir}/libkdeedu/spectrum.h
%{_includedir}/libkdeedu/spectrumparser.h
%{_libdir}/libscience.so
%changelog
* Fri Nov 08 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-kalzium.git;a=log;h=master

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c76da06
- updated to 24.08.3

* Mon Oct 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 0de5cfe
- dirs

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> de565cc
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 70bac0a
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 5c81d70
- updated to 24.08.0

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 3d19083
- updated to 24.05.2

* Fri Jun 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 1eb50aa
- updated to 24.05.1

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9c7a387
- updated to 24.05.0

* Sat Apr 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 062b7c3
- updated to 24.02.2

* Fri Mar 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> db8861b
- updated to 24.02.1

* Mon Mar 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 044662a
- updated to 24.02.0

